<?PHP
/**
 * index.php - This page lists all the instances of register in a particular course
 * @package Register
 * @version $Id: index.php,v 1.2 2007-07-27 10:59:27 nicus Exp $;
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://moodle.org/mod/newmodule_template.zip here you can download the template
 */

    require_once("../../config.php");
    require_once("lib.php");

    $id = required_param('id');                     // Course Module ID


    if (! $course = get_record("course", "id", $id)) {
        error("Course ID is incorrect");
    }

    require_login($course->id);

    add_to_log($course->id, "register", "view all", "index.php?id=$course->id", "");


/// Get all required strings

    $strregisters = get_string("modulenameplural", "register");
    $strregister  = get_string("modulename", "register");


/// Print the header

    if ($course->category) {
        $navigation = "<a href=\"../../course/view.php?id=$course->id\">$course->shortname</a> ->";
    }
    else $navigation = "";

    print_header("$course->shortname: $strregisters", "$course->fullname", "$navigation $strregisters", "", "", true, "", navmenu($course));

/// Get all the appropriate data

    if (! $registers = get_all_instances_in_course("register", $course)) {
        notice("There are no registers", "../../course/view.php?id=$course->id");
        die;
    }

/// Print the list of instances (your module will probably extend this)

    $timenow = time();
    $strname  = get_string("name");
    $strweek  = get_string("week");
    $strtopic  = get_string("topic");

    if ($course->format == "weeks") {
        $table->head  = array ($strweek, $strname);
        $table->align = array ("center", "left");
    } else if ($course->format == "topics") {
        $table->head  = array ($strtopic, $strname);
        $table->align = array ("center", "left", "left", "left");
    } else {
        $table->head  = array ($strname);
        $table->align = array ("left", "left", "left");
    }

    foreach ($registers as $register) {
        if (!$register->visible) {
            //Show dimmed if the mod is hidden
            $link = "<a class=\"dimmed\" HREF=\"view.php?id=$register->coursemodule\">$register->name</a>";
        } else {
            //Show normal if the mod is visible
            $link = "<a href=\"view.php?id=$register->coursemodule\">$register->name</a>";
        }

        if ($course->format == "weeks" or $course->format == "topics") {
            $table->data[] = array ($register->section, $link);
        } else {
            $table->data[] = array ($link);
        }
    }

    echo "<br />";

    print_table($table);

/// Finish the page

    print_footer($course);

?>
